- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_RT_POA Class Reference

`#include <RT_POA.h>`

Inheritance diagram for TAO_RT_POA:

[legend]
Collaboration diagram for TAO_RT_POA:

[legend]
List of all members.

## Public Member Functions
CORBA::Object_ptr | create_reference_with_priority (const char *intf, RTCORBA::Priority priority) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id_and_priority (const PortableServer::ObjectId &oid, const char *intf, RTCORBA::Priority priority) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | activate_object_with_priority (PortableServer::Servant p_servant, RTCORBA::Priority priority) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id_and_priority (const PortableServer::ObjectId &oid, PortableServer::Servant p_servant, RTCORBA::Priority priority) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion) throw (CORBA::SystemException)
PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value) throw (CORBA::SystemException)
PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value) throw (CORBA::SystemException)
PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value) throw (CORBA::SystemException)
PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value) throw (CORBA::SystemException)
PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value) throw (CORBA::SystemException)
PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value) throw (CORBA::SystemException)
char * | the_name () throw (CORBA::SystemException)
PortableServer::POA_ptr | the_parent () throw (CORBA::SystemException)
PortableServer::POAList * | the_children () throw (CORBA::SystemException)
PortableServer::POAManager_ptr | the_POAManager () throw (CORBA::SystemException)
PortableServer::AdapterActivator_ptr | the_activator () throw (CORBA::SystemException)
void | the_activator (PortableServer::AdapterActivator_ptr adapter_activator) throw (CORBA::SystemException)
PortableServer::ServantManager_ptr | get_servant_manager () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | activate_object (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
void | deactivate_object (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference (const char *intf) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf) throw (CORBA::SystemException)
PortableServer::ObjectId * | servant_to_id (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId * | reference_to_id (CORBA::Object_ptr reference) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::OctetSeq * | id () throw (CORBA::SystemException)
virtual CORBA::PolicyList * | client_exposed_policies (CORBA::Short object_priority)
| TAO_RT_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
virtual | ~TAO_RT_POA (void)
void * | thread_pool (void) const
## Protected Member Functions
virtual TAO_Root_POA * | new_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
| Template method for creating new POA's of this type.
virtual TAO_Stub * | key_to_stub_i (const TAO::ObjectKey &key, const char *type_id, CORBA::Short priority)
void | validate_priority (RTCORBA::Priority priority)
void | validate_policies ()
void | parse_rt_policies (TAO_POA_Policy_Set &policies)
size_t | endpoint_count (void)
TAO_Stub * | create_stub_object (const TAO::ObjectKey &object_key, const char *type_id, CORBA::PolicyList *policy_list, TAO_Acceptor_Filter *filter, TAO_PriorityBandedConnectionPolicy *priority_bands)
int | lane_required (TAO_Thread_Lane *lane, TAO_PriorityBandedConnectionPolicy *priority_bands)
## Protected Attributes
TAO_Thread_Pool * | thread_pool_

## Constructor & Destructor Documentation

TAO_RT_POA::TAO_RT_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  |

TAO_RT_POA::~TAO_RT_POA | ( | void |  | ) | `[virtual]`

## Member Function Documentation

PortableServer::ObjectId * TAO_RT_POA::activate_object | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

void TAO_RT_POA::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant | p_servant |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)

ACE_INLINE void TAO_RT_POA::activate_object_with_id_and_priority | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::Servant | p_servant,
|  | RTCORBA::Priority | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)

ACE_INLINE PortableServer::ObjectId * TAO_RT_POA::activate_object_with_priority | ( | PortableServer::Servant | p_servant,
|  | RTCORBA::Priority | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

CORBA::PolicyList * TAO_RT_POA::client_exposed_policies | ( | CORBA::Short | object_priority | ) | `[virtual]`

PortableServer::IdAssignmentPolicy_ptr TAO_RT_POA::create_id_assignment_policy | ( | PortableServer::IdAssignmentPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::IdUniquenessPolicy_ptr TAO_RT_POA::create_id_uniqueness_policy | ( | PortableServer::IdUniquenessPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::ImplicitActivationPolicy_ptr TAO_RT_POA::create_implicit_activation_policy | ( | PortableServer::ImplicitActivationPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::LifespanPolicy_ptr TAO_RT_POA::create_lifespan_policy | ( | PortableServer::LifespanPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::POA_ptr TAO_RT_POA::create_POA | ( | const char * | adapter_name,
|  | PortableServer::POAManager_ptr | poa_manager,
|  | const CORBA::PolicyList & | policies |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)

CORBA::Object_ptr TAO_RT_POA::create_reference | ( | const char * | intf | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_RT_POA::create_reference_with_id | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf |
| ) |  |  | throw (CORBA::SystemException)

ACE_INLINE CORBA::Object_ptr TAO_RT_POA::create_reference_with_id_and_priority | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf,
|  | RTCORBA::Priority | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Object_ptr TAO_RT_POA::create_reference_with_priority | ( | const char * | intf,
|  | RTCORBA::Priority | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

PortableServer::RequestProcessingPolicy_ptr TAO_RT_POA::create_request_processing_policy | ( | PortableServer::RequestProcessingPolicyValue | value | ) | throw (CORBA::SystemException)

PortableServer::ServantRetentionPolicy_ptr TAO_RT_POA::create_servant_retention_policy | ( | PortableServer::ServantRetentionPolicyValue | value | ) | throw (CORBA::SystemException)

TAO_Stub * TAO_RT_POA::create_stub_object | ( | const TAO::ObjectKey & | object_key,
|  | const char * | type_id,
|  | CORBA::PolicyList * | policy_list,
|  | TAO_Acceptor_Filter * | filter,
|  | TAO_PriorityBandedConnectionPolicy * | priority_bands |
| ) |  |  | `[protected]`

PortableServer::ThreadPolicy_ptr TAO_RT_POA::create_thread_policy | ( | PortableServer::ThreadPolicyValue | value | ) | throw (CORBA::SystemException)

void TAO_RT_POA::deactivate_object | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

void TAO_RT_POA::destroy | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean | wait_for_completion |
| ) |  |  | throw (CORBA::SystemException)

size_t TAO_RT_POA::endpoint_count | ( | void |  | ) | `[protected]`

PortableServer::POA_ptr TAO_RT_POA::find_POA | ( | const char * | adapter_name,
|  | CORBA::Boolean | activate_it |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)

PortableServer::Servant TAO_RT_POA::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)

PortableServer::ServantManager_ptr TAO_RT_POA::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

CORBA::OctetSeq * TAO_RT_POA::id | ( |  | ) | throw (CORBA::SystemException)

CORBA::Object_ptr TAO_RT_POA::id_to_reference | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_RT_POA::id_to_servant | ( | const PortableServer::ObjectId & | oid | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

TAO_Stub * TAO_RT_POA::key_to_stub_i | ( | const TAO::ObjectKey & | key,
|  | const char * | type_id,
|  | CORBA::Short | priority |
| ) |  |  | `[protected, virtual]`

int TAO_RT_POA::lane_required | ( | TAO_Thread_Lane * | lane,
|  | TAO_PriorityBandedConnectionPolicy * | priority_bands |
| ) |  |  | `[protected]`

TAO_Root_POA * TAO_RT_POA::new_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  | `[protected, virtual]`

Template method for creating new POA's of this type.

void TAO_RT_POA::parse_rt_policies | ( | TAO_POA_Policy_Set & | policies | ) | `[protected]`

Parse the policy list for RT policies and update our cached policy instance.

PortableServer::ObjectId * TAO_RT_POA::reference_to_id | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_RT_POA::reference_to_servant | ( | CORBA::Object_ptr | reference | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId * TAO_RT_POA::servant_to_id | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_RT_POA::servant_to_reference | ( | PortableServer::Servant | p_servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

void TAO_RT_POA::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

void TAO_RT_POA::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

void TAO_RT_POA::the_activator | ( | PortableServer::AdapterActivator_ptr | adapter_activator | ) | throw (CORBA::SystemException)

PortableServer::AdapterActivator_ptr TAO_RT_POA::the_activator | ( |  | ) | throw (CORBA::SystemException)

PortableServer::POAList * TAO_RT_POA::the_children | ( |  | ) | throw (CORBA::SystemException)

char * TAO_RT_POA::the_name | ( |  | ) | throw (CORBA::SystemException)

PortableServer::POA_ptr TAO_RT_POA::the_parent | ( |  | ) | throw (CORBA::SystemException)

PortableServer::POAManager_ptr TAO_RT_POA::the_POAManager | ( |  | ) | throw (CORBA::SystemException)

ACE_INLINE void * TAO_RT_POA::thread_pool | ( | void |  | ) | const

void TAO_RT_POA::validate_policies | ( |  | ) | `[protected]`

void TAO_RT_POA::validate_priority | ( | RTCORBA::Priority | priority | ) | `[protected]`

## Member Data Documentation

TAO_Thread_Pool* TAO_RT_POA::thread_pool_`[protected]`

The documentation for this class was generated from the following files:

- RT_POA.h
- RT_POA.cpp
- RT_POA.i